﻿@page
@model EnableAuthenticatorModel
@{
    ViewData["Title"] = "فعال کردن احراز هویت از طریق QR code";
    ViewData["ActivePage"] = ManageNavPages.TwoFactorAuthentication;
}

<partial name="_StatusMessage" for="StatusMessage" />

<div>
    <p>کاربر گرامی جهت فعال نمودن احراز هویت از طریق اسکن QR Code  مراحل زیر را به ترتیب انجام دهید : </p>
    <ol class="list">
        <li>
            <p>

                دانلود و نصب اپلیکیشن ' Microsoft Authenticator '  برای
                <a href="https://go.microsoft.com/fwlink/?Linkid=825071">Windows Phone</a>,
                <a href="https://go.microsoft.com/fwlink/?Linkid=825072">Android</a> و
                <a href="https://go.microsoft.com/fwlink/?Linkid=825073">iOS</a>

            </p>
            <p>
                یا دانلود و نصب   ' Google Authenticator '  برای
                <a href="https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2&amp;hl=en">Android</a> و
                <a href="https://itunes.apple.com/us/app/google-authenticator/id388497605?mt=8">iOS</a>.
            </p>
        </li>
        <li>

            <p>اسکن کردن QR Code  یا وارد کردن این کد <kbd style="margin-left:5px;">  @Model.SharedKey  </kbd>  در  داخل یکی از اپلیکیشن های دانلود شده  (فضاهای مابین کد حائز اهمیت نیستند  ) . </p>

            <div id="qrCode"></div>
            <div id="qrCodeData" data-url="@Html.Raw(@Model.AuthenticatorUri)"></div>
        </li>
        <li style="margin-top:13px;">
            <p>
                بعد از انجام اسکن اپلیکیشن یک کد تائید در اختیار شما قرار خواهد داد که  شما  باید این کد را در قسمت تائید کد قرار دهید و دکمه تائید کد را کلیک نمائید ، اهراز هویت شما به درستی انجام خواهد شد .
            </p>
            <div class="row">
                <div class="col-md-6">
                    <form id="send-code" method="post">
                        <div class="form-group">
                            <label asp-for="Input.Code" class="control-label">تائید کد</label>
                            <input asp-for="Input.Code" class="form-control" autocomplete="off"  style="font-family:Tahoma;"/>
                            <span asp-validation-for="Input.Code" class="text-danger"></span>
                        </div>
                        <button type="submit" class="btn btn-outline-success">تائید</button>
                        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                    </form>
                </div>
            </div>
        </li>
    </ol>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")

    <script type="text/javascript" src="~/lib/qrcodejs/qrcode.js"></script>
    <script type="text/javascript">
        new QRCode(document.getElementById("qrCode"),
            {
                text: "@Html.Raw(Model.AuthenticatorUri)",
                width: 150,
                height: 150
            });
    </script>

}
